GET private-agents
Retrieves a list of private agents for the current customer.
Request example
curl --request GET "https://api-asm2.apica.io/v3/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "0c6e1175-8f0c-4664-933a-abb096e4aea5",
"agent_name": "sample string 2",
"customer_guid": "d643390c-69d8-417a-bbc5-46bea32a2cf2",
"geoloc": "sample string 4",
"created_utc": "2026-09-03T23:23:53",
"last_updated_utc": "2026-09-03T23:23:53",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-09-03T23:23:53",
"certificate_valid_till_utc": "2026-09-03T23:23:53",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "86dbb77b-7677-485c-83ec-80770f6e072a",
"agent_name": "sample string 2",
"customer_guid": "503a601d-9c45-41e7-8723-7837d0beb9e7",
"geoloc": "sample string 4",
"created_utc": "2026-09-03T23:23:53",
"last_updated_utc": "2026-09-03T23:23:53",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-09-03T23:23:53",
"certificate_valid_till_utc": "2026-09-03T23:23:53",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "64acb118-8d9d-4322-b077-c532313f64ed",
"agent_name": "sample string 2",
"customer_guid": "ce0e6677-5d2f-41bb-b901-ecf991aede4f",
"geoloc": "sample string 4",
"created_utc": "2026-09-03T23:23:53",
"last_updated_utc": "2026-09-03T23:23:53",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-09-03T23:23:53",
"certificate_valid_till_utc": "2026-09-03T23:23:53",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |